%define name       songanalysis
%define ver        0.1.0
%define rel        1

Summary:      Song analyzer for the command line
Name:         %name
Version:      %ver
Release:      %rel
License:      GPL
URL:          http://www.amautacorp.com/staff/Rudd-O/
Group:        Sound
Source:       %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%name-buildroot
Prefix: %{_prefix}
Requires:     /bin/nice , /usr/bin/mpg321 , /usr/bin/ogg123

%description
This tool is a small command line program which analyzes and tells
the frequency bands and beats per minute a song has.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
make CFLAGS="-O3 -mtune=athlon-xp"

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%{_bindir}/songanalysis

%changelog
* Fri Aug 12 2005 Manuel Amador (Rudd-O) <rudd-o@amautacorp.com> 0.1-1
- initial release
